API ReferenceRuns
Resume run events
Replays events after Last-Event-ID, then follows new events.
Authorization
bearerAuth AuthorizationBearer <token>
Send a SimpleServe API key as Authorization: Bearer <key>.
In: header
Path Parameters
run_id*string
Match
^run_[A-Za-z0-9]+$Header Parameters
Last-Event-ID?integer
Resume a Run event stream after this durable event number.
Range
0 <= valueResponse Body
text/event-stream
application/json
application/json
curl -X GET "https://example.com/v1/runs/string/events"{ "type": "run.created", "run": { "id": "string", "object": "run", "agent": "string", "status": "queued", "output_text": "string", "output": [ { "type": "text", "text": "string", "annotations": [ { "type": "url_citation", "start_index": 0, "end_index": 0, "url": "http://example.com", "title": "string" } ] } ], "usage": { "rate_card_id": "string", "meters": [ { "id": "string", "quantity": 0, "cost_usd": 0 } ] }, "cost_usd": 0, "max_cost_usd": 0, "session_id": "string", "workstream_id": "string", "thread_title": "string", "stop_reason": "max_cost_reached", "error": { "message": "string", "type": "invalid_request_error", "param": "string", "code": "invalid_request" }, "created_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "metadata": {}, "parent_run_id": "string", "root_run_id": "string", "depth": 0, "subagents": { "total": 0, "active": 0, "completed": 0, "failed": 0, "cost_usd": 0 } }}